Package pyplusplus :: Package function_transformers :: Module transformers :: Class input_t

# type input_t

source code

                   object --+
                            |
    transformer.transformer_t --+
                                |
                  type_modifier_t --+
                                    |
                                   input_t

Handles a single input variable.

The reference on the specified variable is removed.

void setValue(int& v) -> setValue(v)

Instance Methods

__init__(self, function, arg_ref) Constructor. | source code

__str__(self) | source code

Inherited from `type_modifier_t`: `configure_free_fun`, `configure_mem_fun`, `configure_virtual_mem_fun`, `required_headers` Inherited from `transformer.transformer_t`: `get_argument`, `get_type`

Class Variables
Inherited from `transformer.transformer_t`: `USE_1_BASED_INDEXING`

Properties
Inherited from `transformer.transformer_t`: `function`

Method Details

### __init__(self, function, arg_ref)
(Constructor)

source code

Constructor.

The specified argument must be a reference or a pointer.

Parameters:
  - `idx` (int) - Index of the argument that is an output value (the first arg has index 1).
Overrides: transformer.transformer_t.__init__

### __str__(self)
(Informal representation operator)

source code

Overrides: type_modifier_t.__str__